from django.shortcuts import redirect, render

from lists.models import Item

# Create your views here
def home_page(request):
    if request.method == 'POST':
        Item.objects.create(text=request.POST['item_text'])
        return redirect('/lists/the-only-list-in-the-world')

    items = Item.objects.all() # get objects from database (model)
    return render(request=request, 
                    template_name='home.html', 
                    context={'items': items}) # pass items into template using render

def view_list(request):
    items = Item.objects.all()
    return render(request, 'home.html', {'items': items})